package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.LandMarkLevel;


/**
*  service接口类
*/
public interface LandMarkLevelService{

    List<LandMarkLevel> getLandMarkLevelList(LandMarkLevel record);

    List<LandMarkLevel> getLandMarkLevelByPage(Page page, LandMarkLevel record);

    LandMarkLevel getLandMarkLevelById(String id);

    LandMarkLevel getLandMarkLevel(LandMarkLevel record);

    boolean createLandMarkLevel(LandMarkLevel record);

    boolean deleteLandMarkLevel(LandMarkLevel record);

    boolean updateLandMarkLevel(LandMarkLevel record);
}

